StarPU Handbook

Macros | Typedefs | Functions
MIC Extensions

## Macros
#define | STARPU_USE_MIC
#define | STARPU_MAXMICDEVS

## Typedefs
typedef void * | starpu_mic_func_symbol_t

## Functions
int | starpu_mic_register_kernel (starpu_mic_func_symbol_t *symbol, const char *func_name)
starpu_mic_kernel_t | starpu_mic_get_kernel (starpu_mic_func_symbol_t symbol)

## Detailed Description

## Macro Definition Documentation

## ◆ STARPU_USE_MIC

#define STARPU_USE_MIC

Defined when StarPU has been installed with MIC support. It should be used in your code to detect the availability of MIC.

## ◆ STARPU_MAXMICDEVS

#define STARPU_MAXMICDEVS

Define the maximum number of MIC devices that are supported by StarPU.

## Typedef Documentation

## ◆ starpu_mic_func_symbol_t

typedef void* starpu_mic_func_symbol_t

Type for MIC function symbols

## Function Documentation

## ◆ starpu_mic_register_kernel()

int starpu_mic_register_kernel | ( | starpu_mic_func_symbol_t * | symbol,
|  | const char * | func_name
| ) |  |

Initiate a lookup on each MIC device to find the address of the function named `func_name`, store it in the global array kernels and return the index in the array through `symbol`.

## ◆ starpu_mic_get_kernel()

starpu_mic_kernel_t starpu_mic_get_kernel | ( | starpu_mic_func_symbol_t | symbol | ) |

If successfull, return the pointer to the function defined by `symbol` on the device linked to the called device. This can for instance be used in a starpu_mic_func_t implementation.